Bus.BusState (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf

## Enum Bus.BusState

- java.lang.Object
- - java.lang.Enum<Bus.BusState>
  - - org.apache.cxf.Bus.BusState

- All Implemented Interfaces:
    `Serializable`, `Comparable<Bus.BusState>`
  Enclosing interface:
    Bus

      public static enum Bus.BusState
      extends Enum<Bus.BusState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INITIAL` |
    `INITIALIZING` |
    `RUNNING` |
    `SHUTDOWN` |
    `SHUTTING_DOWN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Bus.BusState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Bus.BusState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIAL

          public static final Bus.BusState INITIAL

    - #### INITIALIZING

          public static final Bus.BusState INITIALIZING

    - #### RUNNING

          public static final Bus.BusState RUNNING

    - #### SHUTTING_DOWN

          public static final Bus.BusState SHUTTING_DOWN

    - #### SHUTDOWN

          public static final Bus.BusState SHUTDOWN

  - ### Method Detail

    - #### values

          public static Bus.BusState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Bus.BusState c : Bus.BusState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Bus.BusState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null